# OnNickLinkPopupRequest

Nick link popup customization

Parameters

    $0 = nickname

Window
The window that the user has clicked in
Description

This event is triggered when an user has right clicked on an "unknown" nickname link in the text view.
This is a good place to show a popup menu with some operations that can be performed with the nickname like querying , sending a file by dcc or opening a dcc.chat. Please note that NOT ALL the nickname links will receive this event.
The nickname links that appear in the text view of the channel that they are actually in are handled by the OnChannelNickPopupRequest event.
The nickname links that appear in the text view of the query in that they are a remote end are handled by the OnQueryNickPopupRequest event.

Main index, Event index

KVirc 3.0.0 documentation
Generated by root at Thu Apr 29 12:41:05 2004